org.springframework.jms.listener.endpoint

## Class JmsMessageEndpointFactory.JmsResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.jms.listener.endpoint.JmsMessageEndpointFactory.JmsResourceException

All Implemented Interfaces:
  Serializable

Enclosing class:
  JmsMessageEndpointFactory

    public static class JmsMessageEndpointFactory.JmsResourceException
    extends RuntimeException

Internal exception thrown when a ResourceExeption has been encountered during the endpoint invocation.

Will only be used if the ResourceAdapter does not invoke the endpoint's `beforeDelivery` and `afterDelivery` directly, leavng it up to the concrete endpoint to apply those - and to handle any ResourceExceptions thrown from them.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JmsMessageEndpointFactory.JmsResourceException(ResourceException cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JmsMessageEndpointFactory.JmsResourceException

    public JmsMessageEndpointFactory.JmsResourceException(ResourceException cause)